Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.parse.compact
Class CompactSyntax

    java.lang.Object
      convert.relaxng.parse.compact.CompactSyntax

All Implemented Interfaces:
  ValidationContext, CompactSyntaxConstants, Context

    public class CompactSyntax

extends java.lang.Object
implements Context, CompactSyntaxConstants

Field Summary
`Token` | `jj_nt` Next token.
`Token` | `token` Current token.
`CompactSyntaxTokenManager` | `token_source` Generated Token Manager.

Fields inherited from interface convert.relaxng.parse.compact.CompactSyntaxConstants
`AFTER_DOCUMENTATION, AFTER_SINGLE_LINE_COMMENT, BASE_CHAR, COMBINING_CHAR, DEFAULT, DIGIT, DOCUMENTATION, DOCUMENTATION_AFTER_SINGLE_LINE_COMMENT, DOCUMENTATION_CONTINUE, EOF, ESCAPED_IDENTIFIER, EXTENDER, FANNOTATE, IDENTIFIER, IDEOGRAPHIC, ILLEGAL_CHAR, LETTER, LITERAL, NCNAME, NEWLINE, NMCHAR, NMSTART, NOT_NEWLINE, PREFIX_STAR, PREFIXED_NAME, SINGLE_LINE_COMMENT, SINGLE_LINE_COMMENT_CONTINUE, tokenImage, WS`

Constructor Summary
`CompactSyntax(CompactSyntaxTokenManager tm)` Constructor with generated Token Manager.
`CompactSyntax(java.io.InputStream stream)` Constructor with InputStream.
`CompactSyntax(java.io.InputStream stream, java.lang.String encoding)` Constructor with InputStream and supplied encoding
`CompactSyntax(java.io.Reader stream)` Constructor.
`CompactSyntax(java.io.Reader r, java.lang.String sourceUri, SchemaBuilder sb, org.xml.sax.ErrorHandler eh)`

Method Summary
`ParsedNameClass` | `AnnotateAfter(ParsedNameClass nc)`
`ParsedPattern` | `AnnotatedPrimaryExpr(boolean topLevel, Scope scope, Token[] except)`
`void` | `AnnotationAttribute(Annotations a)`
`ParsedElementAnnotation` | `AnnotationElement(boolean nested)`
`void` | `AnnotationElementContent(ElementAnnotationBuilder eab)`
`void` | `AnnotationElementLiteral(ElementAnnotationBuilder eab)`
`ParsedElementAnnotation` | `AnnotationElementNotKeyword()`
`Annotations` | `Annotations()`
`ParsedNameClass` | `AnyNameExceptClass(int context, Annotations a, Annotations[] pa)`
`GrammarSection.Combine` | `AssignOp()`
`ParsedPattern` | `AttributeExpr(Scope scope, Annotations a)`
`ParsedNameClass` | `BasicNameClass(int context)`
`Context` | `copy()`
`ParsedPattern` | `DataExpr(boolean topLevel, Scope scope, Annotations a, Token[] except)`
`Token` | `DatatypeName()`
`void` | `DatatypesDecl()`
`void` | `Define(GrammarSection section, Scope scope, Annotations a)`
`void` | `Definition(GrammarSection section, Scope scope, Annotations a)`
`void` | `disable_tracing()` Disable tracing.
`void` | `Div(GrammarSection section, Scope scope, Annotations a)`
`ParsedElementAnnotation` | `Documentation()`
`ParsedPattern` | `ElementExpr(Scope scope, Annotations a)`
`ParsedPattern` | `EmptyExpr(Annotations a)`
`void` | `enable_tracing()` Enable tracing.
`ParsedPattern` | `Except(Scope scope, Token[] except)`
`ParsedNameClass` | `ExceptNameClass(int context)`
`ParsedPattern` | `Expr(boolean topLevel, Scope scope, Token t, Annotations a)`
`ParsedPattern` | `ExternalRefExpr(Scope scope, Annotations a)`
`ParseException` | `generateParseException()` Generate ParseException.
`java.lang.String` | `getBaseUri()` Returns the base URI of the context.
`Token` | `getNextToken()` Get the next Token.
`Token` | `getToken(int index)` Get the specific Token.
`Annotations` | `GrammarBody(GrammarSection section, Scope scope, Annotations a)`
`void` | `GrammarComponent(GrammarSection section, Scope scope)`
`ParsedPattern` | `GrammarExpr(Scope scope, Annotations a)`
`convert.relaxng.parse.compact.CompactSyntax.LocatedString` | `Identifier()`
`ParsedElementAnnotation` | `IdentifierAnnotationElement()`
`ParsedPattern` | `IdentifierExpr(Scope scope, Annotations a)`
`void` | `Include(GrammarSection section, Scope scope, Annotations a)`
`Annotations` | `IncludeBody(GrammarSection section, Scope scope, Annotations a)`
`void` | `IncludeComponent(GrammarSection section, Scope scope)`
`ParsedPattern` | `IncludedGrammar(IncludedGrammar g)`
`void` | `IncludeDiv(GrammarSection section, Scope scope, Annotations a)`
`java.lang.String` | `Inherit()`
`ParsedPattern` | `Input(Scope scope)`
`boolean` | `isNotation(java.lang.String notationName)` Checks if a notation is declared with the specified name.
`boolean` | `isUnparsedEntity(java.lang.String entityName)` Checks if an unparsed entity is declared with the specified name.
`Token` | `Keyword()`
`ParsedPattern` | `ListExpr(Scope scope, Annotations a)`
`java.lang.String` | `Literal()`
`convert.relaxng.parse.compact.CompactSyntax.LocatedString` | `LocatedLiteral()`
`void` | `LookaheadAfterAnnotations()`
`void` | `LookaheadBody()`
`void` | `LookaheadDocumentation()`
`void` | `LookaheadGrammarKeyword()`
`ParsedPattern` | `MixedExpr(Scope scope, Annotations a)`
`ParsedNameClass` | `NameClass(int context, Annotations[] pa)`
`ParsedNameClass` | `NameClassAlternatives(int context, ParsedNameClass nc, Annotations[] pa)`
`void` | `NamespaceDecl()`
`java.lang.String` | `NamespaceName()`
`ParsedPattern` | `NotAllowedExpr(Annotations a)`
`convert.relaxng.parse.compact.CompactSyntax.LocatedString` | `NsName()`
`ParsedNameClass` | `NsNameExceptClass(int context, Annotations a, Annotations[] pa)`
`ParsedNameClass` | `OpenNameClass(int context, Annotations a)`
`void` | `Param(DataPatternBuilder dpb)`
`void` | `Params(DataPatternBuilder dpb)`
`ParsedPattern` | `ParenExpr(boolean topLevel, Scope scope, Annotations a)`
`ParsedNameClass` | `ParenNameClass(int context, Annotations a)`
`ParsedPattern` | `ParentExpr(Scope scope, Annotations a)`
`void` | `Preamble()`
`java.lang.String` | `Prefix()`
`void` | `PrefixedAnnotationAttribute(Annotations a, boolean nested)`
`ParsedElementAnnotation` | `PrefixedAnnotationElement(boolean nested)`
`ParsedNameClass` | `PrefixedNameClass(Annotations a)`
`java.util.Enumeration` | `prefixes()`
`ParsedPattern` | `PrimaryExpr(boolean topLevel, Scope scope, Annotations a, Token[] except)`
`ParsedNameClass` | `PrimaryNameClass(int context, Annotations a)`
`void` | `ReInit(CompactSyntaxTokenManager tm)` Reinitialise.
`void` | `ReInit(java.io.InputStream stream)` Reinitialise.
`void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)` Reinitialise.
`void` | `ReInit(java.io.Reader stream)` Reinitialise.
`java.lang.String` | `resolveNamespacePrefix(java.lang.String prefix)` Resolves a namespace prefix to the corresponding namespace URI.
`void` | `Start(GrammarSection section, Scope scope, Annotations a)`
`ParsedPattern` | `TextExpr(Annotations a)`
`ParsedPattern` | `TopLevelGrammar(Scope scope)`
`void` | `TopLevelLookahead()`
`ParsedPattern` | `UnaryExpr(boolean topLevel, Scope scope, boolean[] hadOccur, Token[] except)`
`void` | `UnprefixedAnnotationAttribute(Annotations a)`
`ParsedElementAnnotation` | `UnprefixedAnnotationElement()`
`convert.relaxng.parse.compact.CompactSyntax.LocatedString` | `UnprefixedName()`
`ParsedNameClass` | `UnprefixedNameClass(int context, Annotations a)`
`ParsedPattern` | `ValueExpr(boolean topLevel, Annotations a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public CompactSyntaxTokenManager token_source

  Generated Token Manager.

### token

    public Token token

  Current token.

### jj_nt

    public Token jj_nt

  Next token.

Constructor Detail

### CompactSyntax

    public CompactSyntax(java.io.Reader r,
                         java.lang.String sourceUri,
                         SchemaBuilder sb,
                         org.xml.sax.ErrorHandler eh)

### CompactSyntax

    public CompactSyntax(java.io.InputStream stream)

  Constructor with InputStream.

### CompactSyntax

    public CompactSyntax(java.io.InputStream stream,
                         java.lang.String encoding)

  Constructor with InputStream and supplied encoding

### CompactSyntax

    public CompactSyntax(java.io.Reader stream)

  Constructor.

### CompactSyntax

    public CompactSyntax(CompactSyntaxTokenManager tm)

  Constructor with generated Token Manager.

Method Detail

### resolveNamespacePrefix

    public java.lang.String resolveNamespacePrefix(java.lang.String prefix)

  Description copied from interface: `ValidationContext`
  Resolves a namespace prefix to the corresponding namespace URI. This method is used for validating the QName type, for example.

  If the prefix is "" (empty string), it indicates an unprefixed value. The callee should resolve it as for an unprefixed element, rather than for an unprefixed attribute.

  If the prefix is "xml", then the callee must resolve this prefix into "http://www.w3.org/XML/1998/namespace", as defined in the XML Namespaces Recommendation.

  Specified by:
    `resolveNamespacePrefix` in interface `ValidationContext`
  Returns:
    namespace URI of this prefix. If the specified prefix is not declared, the implementation must return null.

### prefixes

    public java.util.Enumeration prefixes()

  Specified by:
    `prefixes` in interface `Context`

### getBaseUri

    public java.lang.String getBaseUri()

  Description copied from interface: `ValidationContext`
  Returns the base URI of the context. The null string may be returned if no base URI is known.

  Specified by:
    `getBaseUri` in interface `ValidationContext`

### isUnparsedEntity

    public boolean isUnparsedEntity(java.lang.String entityName)

  Description copied from interface: `ValidationContext`
  Checks if an unparsed entity is declared with the specified name.

  Specified by:
    `isUnparsedEntity` in interface `ValidationContext`
  Returns:
    true if the DTD has an unparsed entity declaration for the specified name. false otherwise.

### isNotation

    public boolean isNotation(java.lang.String notationName)

  Description copied from interface: `ValidationContext`
  Checks if a notation is declared with the specified name.

  Specified by:
    `isNotation` in interface `ValidationContext`
  Returns:
    true if the DTD has a notation declaration for the specified name. false otherwise.

### copy

    public Context copy()

  Specified by:
    `copy` in interface `Context`

### Input

    public final ParsedPattern Input(Scope scope)
                              throws ParseException

  Throws:
    `ParseException`

### TopLevelLookahead

    public final void TopLevelLookahead()
                                 throws ParseException

  Throws:
    `ParseException`

### LookaheadAfterAnnotations

    public final void LookaheadAfterAnnotations()
                                         throws ParseException

  Throws:
    `ParseException`

### LookaheadGrammarKeyword

    public final void LookaheadGrammarKeyword()
                                       throws ParseException

  Throws:
    `ParseException`

### LookaheadDocumentation

    public final void LookaheadDocumentation()
                                      throws ParseException

  Throws:
    `ParseException`

### LookaheadBody

    public final void LookaheadBody()
                             throws ParseException

  Throws:
    `ParseException`

### IncludedGrammar

    public final ParsedPattern IncludedGrammar(IncludedGrammar g)
                                        throws ParseException

  Throws:
    `ParseException`

### TopLevelGrammar

    public final ParsedPattern TopLevelGrammar(Scope scope)
                                        throws ParseException

  Throws:
    `ParseException`

### Preamble

    public final void Preamble()
                        throws ParseException

  Throws:
    `ParseException`

### NamespaceDecl

    public final void NamespaceDecl()
                             throws ParseException

  Throws:
    `ParseException`

### NamespaceName

    public final java.lang.String NamespaceName()
                                         throws ParseException

  Throws:
    `ParseException`

### DatatypesDecl

    public final void DatatypesDecl()
                             throws ParseException

  Throws:
    `ParseException`

### AnnotatedPrimaryExpr

    public final ParsedPattern AnnotatedPrimaryExpr(boolean topLevel,
                                                    Scope scope,
                                                    Token[] except)
                                             throws ParseException

  Throws:
    `ParseException`

### PrimaryExpr

    public final ParsedPattern PrimaryExpr(boolean topLevel,
                                           Scope scope,
                                           Annotations a,
                                           Token[] except)
                                    throws ParseException

  Throws:
    `ParseException`

### EmptyExpr

    public final ParsedPattern EmptyExpr(Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### TextExpr

    public final ParsedPattern TextExpr(Annotations a)
                                 throws ParseException

  Throws:
    `ParseException`

### NotAllowedExpr

    public final ParsedPattern NotAllowedExpr(Annotations a)
                                       throws ParseException

  Throws:
    `ParseException`

### Expr

    public final ParsedPattern Expr(boolean topLevel,
                                    Scope scope,
                                    Token t,
                                    Annotations a)
                             throws ParseException

  Throws:
    `ParseException`

### UnaryExpr

    public final ParsedPattern UnaryExpr(boolean topLevel,
                                         Scope scope,
                                         boolean[] hadOccur,
                                         Token[] except)
                                  throws ParseException

  Throws:
    `ParseException`

### ElementExpr

    public final ParsedPattern ElementExpr(Scope scope,
                                           Annotations a)
                                    throws ParseException

  Throws:
    `ParseException`

### AttributeExpr

    public final ParsedPattern AttributeExpr(Scope scope,
                                             Annotations a)
                                      throws ParseException

  Throws:
    `ParseException`

### NameClass

    public final ParsedNameClass NameClass(int context,
                                           Annotations[] pa)
                                    throws ParseException

  Throws:
    `ParseException`

### AnnotateAfter

    public final ParsedNameClass AnnotateAfter(ParsedNameClass nc)
                                        throws ParseException

  Throws:
    `ParseException`

### NameClassAlternatives

    public final ParsedNameClass NameClassAlternatives(int context,
                                                       ParsedNameClass nc,
                                                       Annotations[] pa)
                                                throws ParseException

  Throws:
    `ParseException`

### BasicNameClass

    public final ParsedNameClass BasicNameClass(int context)
                                         throws ParseException

  Throws:
    `ParseException`

### PrimaryNameClass

    public final ParsedNameClass PrimaryNameClass(int context,
                                                  Annotations a)
                                           throws ParseException

  Throws:
    `ParseException`

### OpenNameClass

    public final ParsedNameClass OpenNameClass(int context,
                                               Annotations a)
                                        throws ParseException

  Throws:
    `ParseException`

### UnprefixedNameClass

    public final ParsedNameClass UnprefixedNameClass(int context,
                                                     Annotations a)
                                              throws ParseException

  Throws:
    `ParseException`

### PrefixedNameClass

    public final ParsedNameClass PrefixedNameClass(Annotations a)
                                            throws ParseException

  Throws:
    `ParseException`

### NsNameExceptClass

    public final ParsedNameClass NsNameExceptClass(int context,
                                                   Annotations a,
                                                   Annotations[] pa)
                                            throws ParseException

  Throws:
    `ParseException`

### NsName

    public final convert.relaxng.parse.compact.CompactSyntax.LocatedString NsName()
                                                                           throws ParseException

  Throws:
    `ParseException`

### AnyNameExceptClass

    public final ParsedNameClass AnyNameExceptClass(int context,
                                                    Annotations a,
                                                    Annotations[] pa)
                                             throws ParseException

  Throws:
    `ParseException`

### ParenNameClass

    public final ParsedNameClass ParenNameClass(int context,
                                                Annotations a)
                                         throws ParseException

  Throws:
    `ParseException`

### ExceptNameClass

    public final ParsedNameClass ExceptNameClass(int context)
                                          throws ParseException

  Throws:
    `ParseException`

### ListExpr

    public final ParsedPattern ListExpr(Scope scope,
                                        Annotations a)
                                 throws ParseException

  Throws:
    `ParseException`

### MixedExpr

    public final ParsedPattern MixedExpr(Scope scope,
                                         Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### GrammarExpr

    public final ParsedPattern GrammarExpr(Scope scope,
                                           Annotations a)
                                    throws ParseException

  Throws:
    `ParseException`

### ParenExpr

    public final ParsedPattern ParenExpr(boolean topLevel,
                                         Scope scope,
                                         Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### GrammarBody

    public final Annotations GrammarBody(GrammarSection section,
                                         Scope scope,
                                         Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### GrammarComponent

    public final void GrammarComponent(GrammarSection section,
                                       Scope scope)
                                throws ParseException

  Throws:
    `ParseException`

### Definition

    public final void Definition(GrammarSection section,
                                 Scope scope,
                                 Annotations a)
                          throws ParseException

  Throws:
    `ParseException`

### Start

    public final void Start(GrammarSection section,
                            Scope scope,
                            Annotations a)
                     throws ParseException

  Throws:
    `ParseException`

### Define

    public final void Define(GrammarSection section,
                             Scope scope,
                             Annotations a)
                      throws ParseException

  Throws:
    `ParseException`

### AssignOp

    public final GrammarSection.Combine AssignOp()
                                          throws ParseException

  Throws:
    `ParseException`

### Include

    public final void Include(GrammarSection section,
                              Scope scope,
                              Annotations a)
                       throws ParseException

  Throws:
    `ParseException`

### IncludeBody

    public final Annotations IncludeBody(GrammarSection section,
                                         Scope scope,
                                         Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### IncludeComponent

    public final void IncludeComponent(GrammarSection section,
                                       Scope scope)
                                throws ParseException

  Throws:
    `ParseException`

### Div

    public final void Div(GrammarSection section,
                          Scope scope,
                          Annotations a)
                   throws ParseException

  Throws:
    `ParseException`

### IncludeDiv

    public final void IncludeDiv(GrammarSection section,
                                 Scope scope,
                                 Annotations a)
                          throws ParseException

  Throws:
    `ParseException`

### ExternalRefExpr

    public final ParsedPattern ExternalRefExpr(Scope scope,
                                               Annotations a)
                                        throws ParseException

  Throws:
    `ParseException`

### Inherit

    public final java.lang.String Inherit()
                                   throws ParseException

  Throws:
    `ParseException`

### ParentExpr

    public final ParsedPattern ParentExpr(Scope scope,
                                          Annotations a)
                                   throws ParseException

  Throws:
    `ParseException`

### IdentifierExpr

    public final ParsedPattern IdentifierExpr(Scope scope,
                                              Annotations a)
                                       throws ParseException

  Throws:
    `ParseException`

### ValueExpr

    public final ParsedPattern ValueExpr(boolean topLevel,
                                         Annotations a)
                                  throws ParseException

  Throws:
    `ParseException`

### DataExpr

    public final ParsedPattern DataExpr(boolean topLevel,
                                        Scope scope,
                                        Annotations a,
                                        Token[] except)
                                 throws ParseException

  Throws:
    `ParseException`

### DatatypeName

    public final Token DatatypeName()
                             throws ParseException

  Throws:
    `ParseException`

### Identifier

    public final convert.relaxng.parse.compact.CompactSyntax.LocatedString Identifier()
                                                                               throws ParseException

  Throws:
    `ParseException`

### Prefix

    public final java.lang.String Prefix()
                                  throws ParseException

  Throws:
    `ParseException`

### UnprefixedName

    public final convert.relaxng.parse.compact.CompactSyntax.LocatedString UnprefixedName()
                                                                                   throws ParseException

  Throws:
    `ParseException`

### Params

    public final void Params(DataPatternBuilder dpb)
                      throws ParseException

  Throws:
    `ParseException`

### Param

    public final void Param(DataPatternBuilder dpb)
                     throws ParseException

  Throws:
    `ParseException`

### Except

    public final ParsedPattern Except(Scope scope,
                                      Token[] except)
                               throws ParseException

  Throws:
    `ParseException`

### Documentation

    public final ParsedElementAnnotation Documentation()
                                                throws ParseException

  Throws:
    `ParseException`

### Annotations

    public final Annotations Annotations()
                                  throws ParseException

  Throws:
    `ParseException`

### AnnotationAttribute

    public final void AnnotationAttribute(Annotations a)
                                   throws ParseException

  Throws:
    `ParseException`

### PrefixedAnnotationAttribute

    public final void PrefixedAnnotationAttribute(Annotations a,
                                                  boolean nested)
                                           throws ParseException

  Throws:
    `ParseException`

### UnprefixedAnnotationAttribute

    public final void UnprefixedAnnotationAttribute(Annotations a)
                                             throws ParseException

  Throws:
    `ParseException`

### AnnotationElement

    public final ParsedElementAnnotation AnnotationElement(boolean nested)
                                                    throws ParseException

  Throws:
    `ParseException`

### AnnotationElementNotKeyword

    public final ParsedElementAnnotation AnnotationElementNotKeyword()
                                                              throws ParseException

  Throws:
    `ParseException`

### PrefixedAnnotationElement

    public final ParsedElementAnnotation PrefixedAnnotationElement(boolean nested)
                                                            throws ParseException

  Throws:
    `ParseException`

### UnprefixedAnnotationElement

    public final ParsedElementAnnotation UnprefixedAnnotationElement()
                                                              throws ParseException

  Throws:
    `ParseException`

### IdentifierAnnotationElement

    public final ParsedElementAnnotation IdentifierAnnotationElement()
                                                              throws ParseException

  Throws:
    `ParseException`

### AnnotationElementContent

    public final void AnnotationElementContent(ElementAnnotationBuilder eab)
                                        throws ParseException

  Throws:
    `ParseException`

### AnnotationElementLiteral

    public final void AnnotationElementLiteral(ElementAnnotationBuilder eab)
                                        throws ParseException

  Throws:
    `ParseException`

### Literal

    public final java.lang.String Literal()
                                   throws ParseException

  Throws:
    `ParseException`

### LocatedLiteral

    public final convert.relaxng.parse.compact.CompactSyntax.LocatedString LocatedLiteral()
                                                                                   throws ParseException

  Throws:
    `ParseException`

### Keyword

    public final Token Keyword()
                        throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

  Reinitialise.

### ReInit

    public void ReInit(java.io.InputStream stream,
                       java.lang.String encoding)

  Reinitialise.

### ReInit

    public void ReInit(java.io.Reader stream)

  Reinitialise.

### ReInit

    public void ReInit(CompactSyntaxTokenManager tm)

  Reinitialise.

### getNextToken

    public final Token getNextToken()

  Get the next Token.

### getToken

    public final Token getToken(int index)

  Get the specific Token.

### generateParseException

    public ParseException generateParseException()

  Generate ParseException.

### enable_tracing

    public final void enable_tracing()

  Enable tracing.

### disable_tracing

    public final void disable_tracing()

  Disable tracing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD